- Profiles
- Employments
- Income totals
- Payouts
- Documents
- Activities
- Vehicles
- Reputations
- Pay allocations
Data structure
- Each company or platform, a Link item, has a unique account object created once the user successfully connects to it.
- The account ID is unique to that user session and is not be maintained if the user links that same account with another user session.
- To maintain user sessions, follow the best practices for returning users. Account objects contain a user’s information for that particular work account only. For example, to get all the payouts for an account you will have to query the payouts endpoint by specifying the account ID in the request parameters.
/accounts endpoint by specifying the ID of the user in the request parameters.
The employer data field is present within all relevant endpoints and denotes the actual employer of the user.
Accounts that have never successfully connected will be removed.
Gradual data delivery
The data pull from a payroll provider starts immediately after a new account is linked. An account is considered to be linked when a user enters their login details and Argyle has successfully authenticated their credentials.For accounts that have a large number of historical activities, the data pull can take up to an hour. However, Argyle provides a way to get the most recent activities seconds after the account is linked and before the full sync is finished with the
activities.partially_synced webhook.- You can subscribe to the
activities.partially_syncedwebhook event to be notified when a certain amount of historical data has been scanned and is ready to fetch. - By default the
activities.partially_syncedevent notifies you when 30 days of the most recent activities have been scanned The number of days synced is a configurable parameter that you can set when creating the webhook.
The number of days synced is counted from the most recent activity. For example, if the most recent activity on an account occurred 10 days ago, that day counts as the first day scanned.
Coverage
Argyle enables access to the majority of the US workforce. You can view the currently existing employment data sources, or companies and platforms, in Argyle Console on the Coverage page.- Argyle can not, does not, and will not perform any actions within a user’s work account without the user’s consent. A user can grant or remove access to their work account at any time on Argyle Link.
- When viewing the entire coverage through Argyle Console, use the search bar to find a company or platform and see which endpoints and data fields are available for it.
Walmart example:
Null values
Sometimes in the API call response, you will seenull as the returned value for a given field. This might happen for one of two reasons:
- The data source does not support that field (in other words, it does not hold that information).
- The field is supported by the data source but the data in it is not present. This could happen due to optional fields or inactive accounts.
Data retention period
Argyle is a data transfer agent and only keeps the data for as long as the users need it for their purposes. Data can be removed in two ways:- Via the API either by deleting the user and all of their connected accounts or deleting accounts separately (which maintains the user object for potential future reuse).
- The user can revoke access to their connected account(s) via Link, at which point all the data associated will be deleted.